Security Enhanced Linux Reference Policy

# Layer: services

## Module: uuidd

Interfaces

### Description:

UUID generation daemon.

### Interfaces:

uuidd_admin( domain , role )

##### Summary

All of the rules required to administrate an uuidd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

uuidd_domtrans( domain )

##### Summary

Execute uuidd in the uuidd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

uuidd_initrc_domtrans( domain )

##### Summary

Execute uuidd init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uuidd_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete uuidd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uuidd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete uuidd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uuidd_read_lib_files( domain )

##### Summary

Read uuidd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uuidd_read_pid_files( domain )

##### Summary

Read uuidd pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uuidd_search_lib( domain )

##### Summary

Search uuidd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

uuidd_stream_connect_manager( domain )

##### Summary

Connect to uuidd with an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return